## Bokbasen API integration
API Doc: https://bokbasen.jira.com/wiki/spaces/api/overview

## Settings

### Required

Depending on which Bokbasen service you want to use, you need to provide corresponding credentials. For example:
```php
$settings['bokbasen_dds_credentials'] = [
  'client_id' => '...',
  'client_secret' => '...',
];

$settings['bokbasen_metadata_credentials'] = [
  'client_id' => '...',
  'client_secret' => '...',
];
```
Remember that the client ID and client secret will be different for stage and prod environments.

### Optional

`$settings['bokbasen_test_mode'] = TRUE;` - this enables test mode. Basing on that value the Authenticator
will choose if it should authenticate with prod or staging environment. 

**NOTE:** Enabling test mode **requires** overwriting the audience and api URL for each service. Check values below.

```php
$settings['bokbasen_bokskya_audience'] = 'https://api.stage.bokbasen.io/bokskya/';
$settings['bokbasen_bokskya_api_url'] = 'https://api.stage.bokbasen.io/bokskya';

$settings['bokbasen_dds_audience'] = 'https://api.stage.bokbasen.io/dds/';
$settings['bokbasen_dds_api_url'] = 'https://api.stage.bokbasen.io';

$settings['bokbasen_metadata_api_url'] = 'https://api.stage.bokbasen.io';
$settings['bokbasen_metadata_audience'] = 'https://api.stage.bokbasen.io/metadata/';

$settings['bokbasen_orders_api_url'] = 'https://api.stage.bokbasen.io';
$settings['bokbasen_orders_audience'] = 'https://api.stage.bokbasen.io/orders/';
```

`$settings['bokbasen_metadata_api_after_start']` - Subscription type. Default: `basic`

`$settings['bokbasen_metadata_api_subscription']` - After start date value. Default `20000109130000`
