<?php

namespace Drupal\bokbasen_checkout\ApiClient;

use Drupal\Core\Site\Settings;

/**
 * Bokbasen Order API implementation.
 *
 * @link https://bokbasen.jira.com/wiki/spaces/api/pages/71335981/Get+Order+data
 */
class BokbasenOrder extends BokbasenApiClientBase {

  const API_PATH_PREFIX = 'orders/v1';

  /**
   * {@inheritdoc}
   */
  public function getBaseUrl() {
    return Settings::get('bokbasen_orders_api_url', 'https://api.bokbasen.io');
  }

  /**
   * {@inheritdoc}
   */
  public function getAudience() {
    return Settings::get('bokbasen_orders_audience', 'https://api.bokbasen.io/orders/');
  }

  /**
   * {@inheritdoc}
   */
  public function getCredentials() {
    return Settings::get('bokbasen_orders_credentials', [
      'client_id' => '',
      'client_secret' => '',
    ]);
  }

  /**
   * Get orders.
   */
  public function getOrders() {
    // @todo process response.
    $response = $this->getRequest(sprintf('/%s', self::API_PATH_PREFIX));
  }

  /**
   * Get specific order.
   */
  public function getOrder(string $order_id) {
    $response = $this->getRequest(sprintf('/%s/%s', self::API_PATH_PREFIX, $order_id));
  }

  /**
   * Get the EDItX XML representation of a given order.
   */
  public function getOrderEditx(string $order_id) {
    $response = $this->getRequest(sprintf('/%s/%s/%s', self::API_PATH_PREFIX, $order_id, 'editx'));
  }

}
